Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.textfileoutput
Class TextFileOutputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.textfileoutput.TextFileOutputData

All Implemented Interfaces:
  StepDataInterface

    public class TextFileOutputData

extends BaseStepData
implements StepDataInterface

Since:
  22-jan-2005
Author:
  Matt

Field Summary
`byte[]` | `binaryEnclosure`
`byte[]` | `binaryNewline`
`byte[][]` | `binaryNullValue`
`byte[]` | `binarySeparator`
`Process` | `cmdProc`
`SimpleDateFormat` | `daf`
`DateFormatSymbols` | `dafs`
`SimpleDateFormat` | `defaultDateFormat`
`DateFormatSymbols` | `defaultDateFormatSymbols`
`DecimalFormat` | `defaultDecimalFormat`
`DecimalFormatSymbols` | `defaultDecimalFormatSymbols`
`DecimalFormat` | `df`
`DecimalFormatSymbols` | `dfs`
`int[]` | `fieldnrs`
`String` | `fileName`
`int` | `fileNameFieldIndex`
`org.pentaho.di.core.row.ValueMetaInterface` | `fileNameMeta`
`Map<String,OutputStream>` | `fileWriterMap`
`OutputStream` | `fos`
`GZIPOutputStream` | `gzip`
`boolean` | `hasEncoding`
`NumberFormat` | `nf`
`boolean` | `oneFileOpened`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`List<String>` | `previouslyOpenedFiles`
`int` | `splitnr`
`OutputStream` | `writer`
`ZipOutputStream` | `zip`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`TextFileOutputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### splitnr

    public int splitnr

### fieldnrs

    public int[] fieldnrs

### nf

    public NumberFormat nf

### df

    public DecimalFormat df

### dfs

    public DecimalFormatSymbols dfs

### daf

    public SimpleDateFormat daf

### dafs

    public DateFormatSymbols dafs

### zip

    public ZipOutputStream zip

### gzip

    public GZIPOutputStream gzip

### writer

    public OutputStream writer

### defaultDecimalFormat

    public DecimalFormat defaultDecimalFormat

### defaultDecimalFormatSymbols

    public DecimalFormatSymbols defaultDecimalFormatSymbols

### defaultDateFormat

    public SimpleDateFormat defaultDateFormat

### defaultDateFormatSymbols

    public DateFormatSymbols defaultDateFormatSymbols

### cmdProc

    public Process cmdProc

### fos

    public OutputStream fos

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### binarySeparator

    public byte[] binarySeparator

### binaryEnclosure

    public byte[] binaryEnclosure

### binaryNewline

    public byte[] binaryNewline

### hasEncoding

    public boolean hasEncoding

### binaryNullValue

    public byte[][] binaryNullValue

### oneFileOpened

    public boolean oneFileOpened

### previouslyOpenedFiles

    public List<String> previouslyOpenedFiles

### fileNameFieldIndex

    public int fileNameFieldIndex

### fileNameMeta

    public org.pentaho.di.core.row.ValueMetaInterface fileNameMeta

### fileWriterMap

    public Map<String,OutputStream> fileWriterMap

### fileName

    public String fileName

Constructor Detail

### TextFileOutputData

    public TextFileOutputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD